# Gemtext in Hugo
This patch implements gemtext (text/gemini, .gmi) as a content language for Hugo.
This effectively lets you write pages in gemtext instead of Markdown, including front matter support and
an (opinionated) converter to HTML.

## HTML conversion
The HTML converter (implemented [here](./convert.go)) generates the following elements:
* `p` for any sequence of non-empty text lines, where `br` is used to separate them
* `figure` for preformatted lines, where the actual preformatted contents are inside a `pre` tag, and the alt text, if present, is inside a `figcaption`
* `blockquote` for any sequence of quote lines
* `h1`, `h2` and `h3` for heading lines
* `ul` for both link lines and unordered list items:
    * Any sequence of non-empty link lines is output as a `ul` element with the `links` class, where each item is an `a` element prepended by a `li` tag
    * Any sequence of non-empty unordered list items is output as a `ul` element with the `items` class, where each item is text prepended by a `li` tag

For convenience in testing, a standalone version of the converter is provided [here](./standalone/).
